# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "roboat"
version = "0.4.2"
authors = ["Cayden <longwelldotpy@gmail.com>"]
description = "An api wrapper for Roblox.com."
readme = "README.md"
keywords = [
    "roblox",
    "api",
    "roblox-api",
]
categories = ["api-bindings"]
license = "MIT"
repository = "https://github.com/Chloe-Woahie/roboat"

[dependencies.reqwest]
version = "0.11.14"
features = [
    "rustls-tls",
    "json",
]
default-features = false

[dependencies.serde]
version = "1.0.136"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.94"

[dependencies.thiserror]
version = "1.0.40"

[dev-dependencies.clap]
version = "4.1.13"
features = ["derive"]

[dev-dependencies.tokio]
version = "1.27.0"
features = ["full"]
